Bug 233975 - Review Request: freefem++ - PDE solving tool
Summary: Review Request: freefem++ - PDE solving tool
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michał Bentkowski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 214967 238284
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 13:25 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2008-02-26 15:48 UTC (History)
2 users (show)

Fixed In Version: 2.24-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 00:23:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.ecik: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-03-26 13:25:36 UTC
Spec URL: http://rpm.greysector.net/extras/freefem++.spec
SRPM URL: http://rpm.greysector.net/extras/freefem++-2.14-1.src.rpm
Description:

A PDE oriented language using Finite Element Method FreeFem++ is an
implementation of a language dedicated to the finite element method. It
provides you a way to solve Partial Differential Equations (PDE) simply.

Problems involving partial differential equations (pde) of  several
branches of physics such as fluid-structure interactions require
interpolations of data on several meshes and their manipulation within
one program.

FreeFem++ is an extension of freefem, freefem+ written in C++.

Homepage: http://www.freefem.org/

Depends on arpack, which is under review in bug 214967.

Comment 1 Michał Bentkowski 2007-04-27 18:47:16 UTC
I'll review it shortly.

Comment 2 Michał Bentkowski 2007-04-27 19:49:12 UTC
REVIEW:

 * %{?dist} tag's present
 * package's licensed under LGPL and license's included in package
!* rpmlint output:

W: freefem++-glx non-standard-group Applications/Scientific

Why don't use Applications/Engineering as in the main package?

W: freefem++-glx no-documentation
E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-client ['/usr/
lib64']
E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-cs ['/usr/lib64']
E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-ide ['/usr/lib64']

Has to be fixed. Unfortunately, I'm currently unable to check if the way to fix 
the rpath from PackagingGuidelines works for this package, but it should be 
checked.

W: freefem++ spurious-executable-perm /usr/share/man/man1/FreeFem++.1.gz

Change wrong permissions

E: freefem++-debuginfo script-without-shebang /usr/src/debug/freefem++-2.14-1/
src/fflib/mt19937ar.cpp
E: freefem++-debuginfo script-without-shebang /usr/src/debug/freefem++-2.14-1/
src/lglib/mymain.cpp
W: freefem++-mpi non-standard-group Applications/Scientific
W: freefem++-mpi no-documentation

 * md5sums match each other. However, 2.14 is not the newest freefem++'s 
release so you have to package the newer version
 * BRs seem to be proper, mock fc6/x86_64 builds fine
 * final provides and requires are sane
 * package doesn't create any new directory and it doesn't own any one it 
shouldn't
 * %clean section fine
 * build root's proper
!* %files sections don't look good. Manpage has improper permissions. Also, it 
doesn't seem to me that setting 755 permissions globally is a good solution 
'cause it lead up to wrong permissions (as in the manpage case) so I'll suggest 
to change it
 * except for Group tag, everything related with subpackages seems good


THINGS TO DO:
 * change subpackages' groups
 * fix rpath issue
 * package the newer version
 * fix permissions of manpage
 * don't set 755 permissions globally


Comment 3 Dominik 'Rathann' Mierzejewski 2007-04-28 19:53:26 UTC
(In reply to comment #2)
> REVIEW:
> 
>  * %{?dist} tag's present
>  * package's licensed under LGPL and license's included in package
> !* rpmlint output:
> 
> W: freefem++-glx non-standard-group Applications/Scientific
> 
> Why don't use Applications/Engineering as in the main package?

Copy & paste error from an old version.

> W: freefem++-glx no-documentation
> E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-client ['/usr/
> lib64']
> E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-cs ['/usr/lib64']
> E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-ide ['/usr/lib64']
> 
> Has to be fixed. Unfortunately, I'm currently unable to check if the way to fix 
> the rpath from PackagingGuidelines works for this package, but it should be 
> checked.

Can't fix. The bug is in fltk package. See bug 214967.

> W: freefem++ spurious-executable-perm /usr/share/man/man1/FreeFem++.1.gz
> 
> Change wrong permissions

Will fix.

> E: freefem++-debuginfo script-without-shebang /usr/src/debug/freefem++-2.14-1/
> src/fflib/mt19937ar.cpp
> E: freefem++-debuginfo script-without-shebang /usr/src/debug/freefem++-2.14-1/
> src/lglib/mymain.cpp

Will fix.

> W: freefem++-mpi non-standard-group Applications/Scientific
> W: freefem++-mpi no-documentation
> 
>  * md5sums match each other. However, 2.14 is not the newest freefem++'s 
> release so you have to package the newer version

OK.

>  * BRs seem to be proper, mock fc6/x86_64 builds fine

But devel doesn't. I'm working on this right now.


Comment 4 Dominik 'Rathann' Mierzejewski 2007-04-28 21:49:41 UTC
New SRPM uploaded, fixing all except rpaths. Builds in mock devel/x86_64, too.

http://rpm.greysector.net/extras/freefem++-2.16-1.src.rpm
http://rpm.greysector.net/extras/freefem++.spec

Current rpmlint output:
W: freefem++-mpi no-documentation
E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-ide ['/usr/lib64']
E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-client ['/usr/lib64']
E: freefem++ binary-or-shlib-defines-rpath /usr/bin/FreeFem++-cs ['/usr/lib64']
W: freefem++-glx no-documentation


Comment 5 Dominik 'Rathann' Mierzejewski 2007-04-29 17:44:41 UTC
(In reply to comment #3)
> (In reply to comment #2)
> Can't fix. The bug is in fltk package. See bug 214967.

I meant bug 238284.


Comment 6 Michał Bentkowski 2007-04-30 13:51:16 UTC
I hope mock works for devel right now (can't check). If so, I'm happy to 
approve the package.

Comment 7 Nicolas Chauvet (kwizart) 2007-12-18 00:18:38 UTC
fltk rpath have been removed, If the rpaths were inherited from fltk, it should
work now...

Comment 8 Dominik 'Rathann' Mierzejewski 2008-01-01 19:23:16 UTC
New Package CVS Request
=======================
Package Name: freefem++
Short Description: PDE solving tool
Owners: rathann
Branches: F-7 F-8 EL-5
Cvsextras Commits: yes


Comment 9 Kevin Fenzi 2008-01-01 23:10:08 UTC
cvs done.

Comment 10 Jason Tibbitts 2008-01-30 18:28:29 UTC
Unfortunately this is still blocked because Axel refuses the trivial workaround
for the buildsys bug, so I'm rolling my own.  But I wanted to see if version
2.23 had been tested, or perhaps if this could at least be imported into the
repo even if it can't be built.

Comment 11 Jason Tibbitts 2008-02-19 04:34:39 UTC
Well, arpack is done and in the repository now for rawhide, F7 and F8, so this
can finally be built.  Any chance of bumping to 2.23 in the process?

Comment 12 Dominik 'Rathann' Mierzejewski 2008-02-20 16:40:43 UTC
Yes, of course.

Comment 13 Jason Tibbitts 2008-02-20 18:51:12 UTC
Thanks!

FYI, I just noticed that 2.24-0 is out; I don't know if the changes are significant.

Also, I wonder if you have given any thought to freefem3d.  I've also received
requests for it and so will have to start looking into it soon but if you've
already started packaging it then I'd be happy to work with you.

Comment 14 Dominik 'Rathann' Mierzejewski 2008-02-20 20:14:20 UTC
(In reply to comment #13)
> Thanks!
> 
> FYI, I just noticed that 2.24-0 is out; I don't know if the changes are
> significant.

I'm working on making 2.23 build with gcc-4.3 right now. After that's done, I'll
see what's new in 2.24.

> Also, I wonder if you have given any thought to freefem3d.  I've also received
> requests for it and so will have to start looking into it soon but if you've
> already started packaging it then I'd be happy to work with you.

No, I have no plans for freefem3d.


Comment 15 Fedora Update System 2008-02-22 20:07:02 UTC
freefem++-2.24-2.fc8 has been submitted as an update for Fedora 8

Comment 16 Fedora Update System 2008-02-22 21:15:30 UTC
freefem++-2.24-2.fc7 has been submitted as an update for Fedora 7

Comment 17 Fedora Update System 2008-02-26 00:21:05 UTC
freefem++-2.24-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2008-02-26 00:23:21 UTC
freefem++-2.24-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.